ServiceProvider (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.ServiceProvider interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface ServiceProvider

All Superinterfaces:
  ManagedElement, ModelObject, java.io.Serializable

    public interface ServiceProvider

extends ManagedElement

Naming Rules:
  0="providerName"
Persistable:
  true
Table Name:
  SERVPROVR
Display Name:
  providerName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBusinessCategory()`
`java.lang.String` | `getProviderName()`
`boolean` | `hasBusinessCategory()`
`boolean` | `hasProviderName()`
`void` | `setBusinessCategory(java.lang.String cat)`
`void` | `setProviderName(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getProviderName

    java.lang.String getProviderName()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProviderName

    void setProviderName(java.lang.String name)

### hasProviderName

    boolean hasProviderName()

### getBusinessCategory

    java.lang.String getBusinessCategory()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBusinessCategory

    void setBusinessCategory(java.lang.String cat)

### hasBusinessCategory

    boolean hasBusinessCategory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD